/*
 * Copyright (c) 1999, 2017, Oracle and/or its affiliates. All rights reserved.
 */

package $packageName$;

import javax.inject.Inject;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Label;
import org.eclipse.ui.forms.IManagedForm;

import com.oracle.jmc.rjmx.subscription.ISubscriptionService;
import com.oracle.jmc.rjmx.subscription.MRI;
import com.oracle.jmc.rjmx.subscription.MRI.Type;

/**
 * Simple example that shows the CPU Load. This tab will only work with a JDK
 * level 1.7 version of Hotspot and above, since we're explicitly referring to the 
 * CPU load attribute of a particular MBean.
 */
@SuppressWarnings("nls")
public class $className$ {

	@Inject
	private ISubscriptionService subscriptionService;
	
	/**
	 * Populates the {@link IManagedForm} with a {@link Label} that subscribes
	 * on the CPU load attribute.
	 * 
	 * @param managedForm
	 *            the form hosted in this page.
	 */
	@Inject
	protected void createPageContent(IManagedForm managedForm) {
		managedForm.getToolkit().decorateFormHeading(managedForm.getForm().getForm());
		final Label valueLabel = managedForm.getToolkit().createLabel(
				managedForm.getForm().getBody(), "", SWT.CENTER);
		managedForm.getForm().getBody().setLayout(new FillLayout());
		subscriptionService.addMRIValueListener(
						new MRI(Type.ATTRIBUTE, "java.lang:type=OperatingSystem","ProcessCpuLoad"),
						new LabelUpdater(valueLabel));
	}
}
