/*
 * Copyright (c) 1999, 2017, Oracle and/or its affiliates. All rights reserved.
 */

package $packageName$;

import org.eclipse.swt.widgets.Label;

import com.oracle.jmc.rjmx.subscription.IMRIValueListener;
import com.oracle.jmc.rjmx.subscription.MRIValueEvent;
import com.oracle.jmc.ui.misc.DisplayToolkit;

public class LabelUpdater implements IMRIValueListener {
	private final Label label;

	public LabelUpdater(Label label) {
		this.label = label;
	}

	@Override
	public void valueChanged(final MRIValueEvent event) {
		DisplayToolkit.safeAsyncExec(label, new Runnable() {
			@Override
			public void run() {
				Double latestValue = (Double) event.getValue();
				label.setText("CPU Load is: " + (latestValue.doubleValue() * 100) + "%");
			}
		});
	}
}